Bug 456521 - recursive locking on _xmit_ETHER
recursive locking on _xmit_ETHER
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10KernelBlocker
  Show dependency treegraph
 
Reported: 2008-07-24 08:08 EDT by David Juran
Modified: 2013-01-09 23:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 18:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Juran 2008-07-24 08:08:47 EDT
Description of problem:
When testing the latest rawhide kernel on a HP BL685c G1, the following popped
up on my console:

Jul 24 12:08:11 risania kernel:<4>
Jul 24 12:08:11 risania kernel:<4>=============================================
Jul 24 12:08:11 risania kernel:<4>[ INFO: possible recursive locking detected ]
Jul 24 12:08:11 risania kernel:<4>2.6.27-0.166.rc0.git8.fc10.x86_64 #1
Jul 24 12:08:11 risania kernel:<4>---------------------------------------------
Jul 24 12:08:11 risania kernel:<4>swapper/0 is trying to acquire lock:
Jul 24 12:08:11 risania kernel:<4> (_xmit_ETHER){-+..}, at: [<ffffffff812828a3>]
dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4>
Jul 24 12:08:11 risania kernel:<4>but task is already holding lock:
Jul 24 12:08:11 risania kernel:<4> (_xmit_ETHER){-+..}, at: [<ffffffff812828a3>]
dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4>
Jul 24 12:08:11 risania kernel:<4>other info that might help us debug this:
Jul 24 12:08:11 risania kernel:<4>1 lock held by swapper/0:
Jul 24 12:08:11 risania kernel:<4> #0:  (_xmit_ETHER){-+..}, at:
[<ffffffff812828a3>] dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4>
Jul 24 12:08:11 risania kernel:<4>stack backtrace:
Jul 24 12:08:11 risania kernel:<4>Pid: 0, comm: swapper Not tainted
2.6.27-0.166.rc0.git8.fc10.x86_64 #1
Jul 24 12:08:11 risania kernel:<4>
Jul 24 12:08:11 risania kernel:<4>Call Trace:
Jul 24 12:08:11 risania kernel:<4> <IRQ>  [<ffffffff81061b46>]
__lock_acquire+0x790/0xaa7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81060d80>] ? trace_hardirqs_on+0xd/0xf
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812828a3>] ? dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81061ef3>] lock_acquire+0x96/0xc3
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812828a3>] ? dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812f5eb8>] _spin_lock+0x2b/0x58
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812828a3>] dev_watchdog+0x41/0x1a7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81282862>] ? dev_watchdog+0x0/0x1a7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81048ba6>]
run_timer_softirq+0x17f/0x1f7
Jul 24 12:08:11 risania kernel:<4> [<ffffffff810450eb>] __do_softirq+0x83/0x110
Jul 24 12:08:11 risania kernel:<4> [<ffffffff8100dcbc>] call_softirq+0x1c/0x28
Jul 24 12:08:11 risania kernel:<4> [<ffffffff8100ef81>] do_softirq+0x52/0xb5
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81044c95>] irq_exit+0x53/0xa0
Jul 24 12:08:11 risania kernel:<4> [<ffffffff8101d160>]
smp_apic_timer_interrupt+0x94/0xad
Jul 24 12:08:11 risania kernel:<4> [<ffffffff8100d4c8>]
apic_timer_interrupt+0x88/0x90
Jul 24 12:08:11 risania kernel:<4> <EOI>  [<ffffffff81022880>] ?
native_safe_halt+0x6/0x8
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81060d80>] ? trace_hardirqs_on+0xd/0xf
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81013537>] ? default_idle+0x2f/0x51
Jul 24 12:08:11 risania kernel:<4> [<ffffffff81013661>] ? c1e_idle+0x108/0x10f
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812f9204>] ?
atomic_notifier_call_chain+0x14/0x16
Jul 24 12:08:11 risania kernel:<4> [<ffffffff8100b2d6>] ? cpu_idle+0x92/0xeb
Jul 24 12:08:11 risania kernel:<4> [<ffffffff812efbef>] ?
start_secondary+0x1a1/0x1a3
Jul 24 12:08:11 risania kernel:<4>

Version-Release number of selected component (if applicable):
kernel-2.6.27-0.166.rc0.git8.fc10.x86_64

How reproducible:
Don't know
Comment 1 Jesse Keating 2008-10-03 19:28:47 EDT
Have you tested any recent kernels?  We're up to kernel-2.6.27-0.382.rc8.git4.fc10
Comment 2 Chuck Ebbert 2008-10-20 18:54:17 EDT
17 days and still no information from the reporter. Close?
Comment 3 Jesse Keating 2008-10-20 18:58:18 EDT
Sure.

Note You need to log in before you can comment on or make changes to this bug.